Subject: abiword fixes for Mac OS X
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 12/16/2004 13:08:23
(Also bcc'd to darwin-pkg-people.)

pkgsrc/editors/abiword doesn't have a MAINTAINER.

May I commit this fix?

 CONFIGURE_ARGS+=       --with-sys-wv
+.if ${OPSYS} == "Darwin"
+CONFIGURE_ARGS+=       --without-epath
+# Use X11 instead of Cocoa API
+CONFIGURE_ARGS+=       --disable-Cocoa
 CONFIGURE_ARGS+=       --with-zlib=${BUILDLINK_PREFIX.zlib}

The --without-epath gets rid of the configure error where it expects to
build its own wv instead of using already installed libwv.

And building with Cocoa (the default) failed for me. Instead of
reearching it further, I'll just have it default to normal X11 (since that
is consistent with abiword on our other pkgsrc platforms).

 Jeremy C. Reed

 	  	 	 BSD News, BSD tutorials, BSD links